Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.beans.metadata.spi
Interface ConstructorMetaData

All Superinterfaces:
  Cloneable, FeatureMetaData, org.jboss.util.JBossInterface, MetaDataVisitorNode

All Known Implementing Classes:
  AbstractConstructorMetaData

public interface ConstructorMetaData
extends FeatureMetaData

Metadata about construction.

Version:
  $Revision: 1.5 $
Author:
  Adrian Brock

Method Summary
`ValueMetaData` | `getFactory()` Get the factory.
`String` | `getFactoryClass()` Get the factory class.
`String` | `getFactoryMethod()` Get the factory method.
`List` | `getParameters()` Get the parameters.

Methods inherited from interface org.jboss.beans.metadata.spi.FeatureMetaData
`getAnnotations, getDescription`

Methods inherited from interface org.jboss.util.JBossInterface
`clone, toShortString, toShortString`

Methods inherited from interface org.jboss.beans.metadata.spi.MetaDataVisitorNode
`getChildren, visit`

Method Detail

### getParameters

    public List getParameters()

  Get the parameters.

  Returns:
    List.

### getFactory

    public ValueMetaData getFactory()

  Get the factory.

  Returns:
    the factory.

### getFactoryClass

    public String getFactoryClass()

  Get the factory class.

  Returns:
    the class name of the factory.

### getFactoryMethod

    public String getFactoryMethod()

  Get the factory method.

  Returns:
    the factory method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.